Subject: bug#17688: 24.3.90; segmentation fault in deselect_palette

From: Zdzislaw Meglicki <[email-masked]>
Date: Wed, 04 Jun 2014 13:11:27 -0400

Dear Eli,

Thank you for looking into this, not only on my behalf,
but also on behalf of the Cygwin community.

Is this reproducible?

No. I can't trigger it at will. My emacs sessions have
been crashing like this and more for some months. It got
better more recently, after Ken Brown of Cornell
([email-masked]) released a newer Cygwin version,
including the one I'm running at present, but the crashes
did not go away altogether.

It may be environmental, perhaps it has something to
do with the timer. Only yesterday I got a crash, not
running under gdb at the time, that produced this message:

*** fatal error - WFSO failed waiting for timer thread, Win32 error 0

This is emacs-w32 that I'm working with, under Windows 8.1
on a 64-bit AMD Quad-Core A8 5500, 8GB DDR3 memory,
3TB disk (lovely machine).

I've simplified my .emacs removing everything that's
not vanilla from it and making it as short as possible.
Here it is:

(setq Info-directory-list
      (append '("/home/gustav/info"
                "/home/gustav/info/elisp-manual-21-2.8"
                "/home/gustav/info/emacs-lisp-intro-2.04")
              Info-default-directory-list))
(setq rmail-file-name "~/Mail/RMAIL")
(setq rmail-primary-inbox-list '("/var/spool/mail/gustav"))
(setq user-mail-address "[email-masked]")
(setq user-full-name "Zdzislaw Meglicki")
(setq send-mail-function 'smtpmail-send-it)
(setq message-send-mail-function 'smtpmail-send-it)
(setq smtpmail-smtp-server "perth.ovpit.indiana.edu")
(add-hook 'mail-mode-hook 'sendmail-user-agent)
(setq compose-mail-user-agent-warnings nil)
(setq default-buffer-file-coding-system 'no-conversion)
(setq display-time-day-and-date 'true)
(display-time)
(defun ftoc(f)
  (/ (round (* (/ (- f 32.0) 1.8) 10.0)) 10.0))
(defun ctof(c)
  (/ (round (* (+ (* c 1.8) 32.0) 10.0)) 10.0))
(put 'upcase-region 'disabled nil)
(put 'downcase-region 'disabled nil)
(custom-set-faces
 '(default ((t (:family "Consolas" :foundry "outline" :slant normal :weight normal :height 90 :width normal)))))

Observe I have display-time in it.

Regards,

-- 
Zdzislaw (Gustav) Meglicki, Office of the Vice President for
Information Technology, Indiana University, 2709 E. 10th Street,
Bloomington, IN 47408, USA, http://perth.ovpit.indiana.edu/gustav,
Ph: 812-856-5597 (o), 812-345-3284 (m), Skype: zdzislaw.meglicki